## org.codehaus.groovy.grails.web.util
Class Log4jConfigListener

    java.lang.Object
      org.codehaus.groovy.grails.web.util.Log4jConfigListener

All Implemented Interfaces:
  EventListener, ServletContextListener

    public class Log4jConfigListener

extends Object
implements ServletContextListener

A listener that will configure Log4j in WAR deployment using Grails Log4j DSL

Since:
  1.1

  Created: Sep 26, 2008
Author:
  Graeme Rocher

Field Summary
`(package private) static org.apache.commons.logging.Log` `LOG`

Constructor Summary
`Log4jConfigListener()`

Method Summary
`void` `contextDestroyed(ServletContextEvent event)`
`void` `contextInitialized(ServletContextEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    static final org.apache.commons.logging.Log LOG

Constructor Detail

### Log4jConfigListener

    public Log4jConfigListener()

Method Detail

### contextInitialized

    public void contextInitialized(ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `ServletContextListener`

### contextDestroyed

    public void contextDestroyed(ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `ServletContextListener`

Copyright (c) 2005-2009 The Grails project